Sign in Start for free

Open Telemetry

Request the open telemetry trace file exporter config

GET /api/configuration/open-telemetry-trace-file-export

Response

200 — The requested OpenTelemetry trace file export configuration.

  • Enabled boolean
  • MaxStorageSizeMegabytes integer
  • RetentionDays integer

Example Response

JSON
{
  "Enabled": true,
  "MaxStorageSizeMegabytes": 0,
  "RetentionDays": 0
}

Modify OpenTelemetry trace file export configuration

PUT /api/configuration/open-telemetry-trace-file-export

Request Body

  • Enabled boolean (required)
  • MaxStorageSizeMegabytes integer (required)
  • RetentionDays integer (required)

Response

200 — The configuration response for modifying OpenTelemetry trace file export configuration

  • Enabled boolean
  • MaxStorageSizeMegabytes integer
  • RetentionDays integer

Example Request

JSON
{
  "Enabled": true,
  "MaxStorageSizeMegabytes": 0,
  "RetentionDays": 0
}

Example Response

JSON
{
  "Enabled": true,
  "MaxStorageSizeMegabytes": 0,
  "RetentionDays": 0
}